io.milvus.param.role

## Class SelectGrantForRoleParam.Builder

- java.lang.Object
- - io.milvus.param.role.SelectGrantForRoleParam.Builder

Enclosing class:
  SelectGrantForRoleParam

    public static final class SelectGrantForRoleParam.Builder
    extends java.lang.Object

Builder for `SelectGrantForRoleParam` class.

### Method Summary

All Methods Instance Methods Concrete Methods
`SelectGrantForRoleParam` `build()` Verifies parameters and creates a new `SelectGrantForRoleParam` instance.
`SelectGrantForRoleParam.Builder` `withDatabaseName(java.lang.String databaseName)` Sets the database name.
`SelectGrantForRoleParam.Builder` `withRoleName(@NonNull java.lang.String roleName)` Sets the roleName.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### withDatabaseName

    public SelectGrantForRoleParam.Builder withDatabaseName(java.lang.String databaseName)

Sets the database name. database name can be nil.

Parameters:
  `databaseName` - database name
Returns:
  `Builder`

#### withRoleName

    public SelectGrantForRoleParam.Builder withRoleName(@NonNull
                                                        @NonNull java.lang.String roleName)

Sets the roleName. RoleName cannot be empty or null.

Parameters:
  `roleName` - roleName
Returns:
  `Builder`

#### build

    public SelectGrantForRoleParam build()
                                  throws ParamException

Verifies parameters and creates a new `SelectGrantForRoleParam` instance.

Returns:
  `SelectGrantForRoleParam`
Throws:
  `ParamException`